import 'package:bloc_layout_example/components/custom_app_bar.dart';
import 'package:bloc_layout_example/components/custom_bottom_bar.dart';
import 'package:bloc_layout_example/components/custom_error_widget.dart';
import 'package:bloc_layout_example/components/custom_loading_widget.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

abstract class AppThemeComponent {
  static ComponentThemeData components = ComponentThemeData.raw(
    topAppBars: const CustomAppBar().registry(),
    bottomNavigationBars: const CustomBottomBar().registry(),
    loaders: const CustomLoadingWidget().registry(),
    errors: const CustomErrorWidget().registry(),
  );
}
