## 0.3.0+2

 - **FIX**: make components nullable.

## 0.3.0+1

 - **FIX**(ui_components): rollback private fileds in component theme data.

## 0.3.0

> Note: This release has breaking changes.

 - **FIX**: apply dart format.
 - **FEAT**(ui_components): marking fields as private since it was accessible from getters.
 - **BREAKING** **FEAT**(ui_components): available same type component usage (#200).

## 0.2.2

 - **FIX**: upgrade to flutter 3.10.
 - **FEAT**: add items manipulation in bottom bar component.
 - **FEAT**(ui): export pricing card.
 - **FEAT**(ui): proxy some rich text parameters.

## 0.2.1

 - **FEAT**: add floating action button component (close #191). (d3184eb3)

## 0.2.0

> Note: This release has breaking changes.

 - **FIX**(gen): rename builder correctly. (cef73aa6)
 - **FEAT**(ui_components): make textwrapper toString useful. (96369e24)
 - **FEAT**(ui): add pricing card. (bfbeabe7)
 - **FEAT**(ui): update default extension implementation. (01a5619d)
 - **FEAT**(ui): add animated decorated box + animate all buttons + customize duration in style. (4ebb679a)
 - **FEAT**(ui): add colors and rework ComponentThemeData. (abd5e1b5)
 - **FEAT**(ui): make components more coherent + docs. (01269027)
 - **FEAT**(ui): make gradient as component. (0d5109fc)
 - **FEAT**(ui): fix, rename, rewrite some helpers. (3fb40205)
 - **BREAKING** **FEAT**(ui): move last extensions + add extension provider. (4097a420)
 - **BREAKING** **FEAT**(ui): rework theme resolver mechanism + move theme extension implementations. (8f5e3923)

## 0.1.0

> Note: This release has breaking changes.

 - **REFACTOR**: update example (#92).
 - **REFACTOR**: replace ThemeResolver by ThemeHelper in Loader / RichTextBuilder (closes #148).
 - **REFACTOR**: migrate top nav bar using generify top bar.
 - **REFACTOR**: move borderColors type.
 - **REFACTOR**: add CopyWith method in ThemeStyle.
 - **REFACTOR**: update colors using Multicolor class (#138).
 - **REFACTOR**: rework text gradient and text wrapper.
 - **REFACTOR**: remove CopyWith extension.
 - **REFACTOR**: move extensions.
 - **REFACTOR**: merge flat and outline buttons in only one style.
 - **REFACTOR**: update example (close #115).
 - **REFACTOR**: migrate components using code generator packages (#115).
 - **REFACTOR**: update example (#92).
 - **FIX**: fix extra value in compute extension function.
 - **FIX**: remove darkmode enable field in cards.
 - **FIX**: add loader to theme data (close #152).
 - **FIX**: inverse merge in TextInputStyle.
 - **FIX**: use multicolor in cards.
 - **FIX**: fix MultiColor lerp method.
 - **FIX**: remove null check operator in RichTextBuilder component.
 - **FIX**: remove wyatt arch ios example.
 - **FIX**: add style merge in Theme Resolver.
 - **FIX**: generate new files after generator fixes (close #118).
 - **FIX**: move theme_resolver in compnoent to fix code generation.
 - **FIX**: add generated component with theme resolver.
 - **FEAT**: add text input components, theme extension and worked on utils (#138).
 - **FEAT**: add isColor getter in multicolor helper.
 - **FEAT**: add loading & error widget to component theme (close #69).
 - **FEAT**: add text input abstract class (#138).
 - **FEAT**: add rich text builder / parser.
 - **FEAT**: update example & move configure function (#69).
 - **FEAT**: add top navigation bar component to theme data.
 - **FEAT**: add extra state.
 - **FEAT**: update layouts to allow more control on components.
 - **FEAT**: add some useful text customization in TextWrapper (closes #149).
 - **FEAT**: update attributs and proxy most of appbar attributs.
 - **FEAT**: add new components to theme data (close #152).
 - **FEAT**: move style implementation from component to ui_kit with theme resolver.
 - **FEAT**: add copyWith gen and make button style lerping.
 - **FEAT**: make component theme data copyable.
 - **FEAT**: add loader component and style.
 - **FEAT**: add file selection component.
 - **FEAT**: add simple icon button and dimension style.
 - **FEAT**: add symbol button.
 - **FEAT**: implement top nav bar.
 - **FEAT**: add tapped control state.
 - **FEAT**: add MultiColor util class.
 - **FEAT**: create new package to split components and layouts.
 - **FEAT**: add button components.
 - **FEAT**: make app bar leading & actions customizable.
 - **FEAT**: add quote / skill / portfolio cards (#126).
 - **FEAT**: add gradient attribut to text wrapper.
 - **FEAT**: add string extension to easely wrap text.
 - **FEAT**: export cards #126.
 - **FEAT**: add portfolio & skill cards #126.
 - **FEAT**: make text wrapper constructor constant.
 - **FEAT**: add text wrapper instead of String/Widget for Texts.
 - **FEAT**: make fields nullable and not required in quote card.
 - **FEAT**: add card theme extension, fix bugs & update example (close #126).
 - **FEAT**: export components and add license header.
 - **FEAT**: add information_card & quote_card (#126).
 - **FEAT**: add Top Navigation Bar Component.
 - **FEAT**: generate new skillcard component.
 - **FEAT**: generify bars.
 - **FEAT**: rework on structure using new components and layouts.
 - **FEAT**: add centerTitle property to app bar component.
 - **FEAT**: make component data field nullable (#92).
 - **FEAT**: add lerp on multicolor.
 - **FEAT**: add flat/outlined button styles.
 - **DOCS**: add some documentation + readme.
 - **DOCS**: update models.
 - **BREAKING** **REFACTOR**: remove bloc export in buttons to be state management solution agnostic (closes #147).

# 0.0.1

- TODO: Describe initial release.
