import 'package:flutter/material.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'custom_loader_widget.g.dart';

@ComponentCopyWithExtension()
class CustomLoaderWidget extends LoaderComponent
    with $CustomLoaderWidgetCWMixin {
  const CustomLoaderWidget({
    super.colors,
    super.duration,
    super.flip,
    super.radius,
    super.stroke,
    super.key,
  });

  @override
  Widget build(BuildContext context) => Center(
        child: CircularProgressIndicator(
          color: colors?.color ?? Colors.blue,
        ),
      );
}
